#!/usr/bin/python3

from PyQt6.QtCore import QTimer
from ui.main_window import MainWindow


class GUI:
    def __init__(self, app):
        self.app = app

        self.window = MainWindow()

        self.connect()

        self.window.show()

    def connect(self):
        self.window.main_container.track_control.previous_button.triggered.connect(self.app.player.previous_track)
        self.window.main_container.track_control.toggle_play_button.triggered.connect(self.app.player.toggle_playing)
        self.window.main_container.track_control.stop_button.triggered.connect(self.app.player.stop)
        self.window.main_container.track_control.next_button.triggered.connect(self.app.player.skip_current)

