#!/usr/bin/python3

import sys
from PyQt6.QtWidgets import QApplication
from utils import Utils
from player.player import Player
from gui import GUI
from gui_communication import GUICommunication


class Wobuzz:
    def __init__(self):
        self.qt_app = QApplication([])

        self.utils = Utils(self)

        self.player = Player(self, sys.argv[1:])
        self.gui = GUI(self)
        self.gui_communication = GUICommunication(self)


if __name__ == "__main__":
    wobuzz = Wobuzz()
    sys.exit(wobuzz.qt_app.exec())
